#ifndef DEFS_
#define DEFS_

#include <stdio.h>

typedef struct header {

    char type[3];
    int width;
    int height;
    int maxColor;

} header_t;

typedef struct pixel {

    unsigned int r;
    unsigned int g;
    unsigned int b;

} pixel_t;

int getWidth();
void writeHeader(header_t aHeader);
void fillFlagArray(pixel_t aFlag[], int width, int height);
void writePixels(pixel_t aFlag[], int width, int height);

#endif